-- Options.lua : Options config

if select(6, GetAddOnInfo("Guilder_" .. (debugstack():match("[o%.][d%.][u%.]les\\(.-)\\") or ""))) ~= "MISSING" then return end

local _G = _G
local Guilder = _G.Guilder
local Guilder_Raid = Guilder:GetModule("Raid")
local L = LibStub("AceLocale-3.0"):GetLocale("Guilder")

Guilder_Raid:SetGlobalOptionsFunction(function(self)
	return "div", {
		type = "group",
		name = L["Raid Wizard Settings"],
		desc = "",
		inline = true,
		args = {
			desc = {
				type = "description",
				name = L["The Raid Wizard allows you to perform various raid related tasks. If an option is disabled, it is because you are not the raid leader or an assistant."],
				order = 0
			},
			h1 = {
				type = "header",
				name = L["Raid Rolling"],
				order = 1,
			},
			announceRoll = {
				type = "toggle",
				name = L["Raid Warning"],
				desc = L["Do you want to announce on raid warning that the roll is taking place?"],
				order = 4,
				get = function() return self.db.profile.announceRoll end,
				set = function(info, v) self.db.profile.announceRoll = v end
			},
			includeOffline = {
				type = "toggle",
				name = L["Include Offline"],
				desc = L["Do you want to include offline players?"],
				order = 3,
				get = function() return self.db.profile.includeOffline end,
				set = function(info, v) self.db.profile.includeOffline = v end
			},
			raidRoll = {
				type = "execute",
				name = L["Roll"],
				desc = L["Click here to do a raid roll"],
				order = 4,
				func = function() self:RaidRoll() end
			}
		}
	}
end)
